2 Replies Latest reply on Feb 26, 2014 11:21 PM by Gabriel Lorenzo Yangzon

    C# FeatureExtrusionThin2

    Gabriel Lorenzo Yangzon

      Im using FeatureExtrusionThin2 but i failed how can I use it

       

      this is my code.

       

      boolstatus = swDoc.Extension.SelectByID2("SketchCLine", "SKETCH", 0.873628215001, -0.02298894905307, -3.195293269994, true, 4, null, 0);

      swSelMgr = (SelectionMgr)swDoc.SelectionManager;

      swSelMgr.EnableContourSelection = true;
                 
                  boolstatus = swDoc.Extension.SelectByID2("SketchCLine", "SKETCHREGION", 0.873628215001, -0.02298894905307, -3.195293269994, true, 4, null, 0);

       

                 swDoc.FeatureManager.FeatureExtrusionThin2(true, false, false, 0, 0, 0.5, 0, false, false, false, false, 0, 0, false, false, false, false, false, 0.5, 0, 0, 0, 0, false, 0.0, true, true, (int)swStartConditions_e.swStartSketchPlane, 0.0, false);

       

       

          swSelMgr.EnableContourSelection = false;

       

       

      Thanks in advance!


      Gab